Get a Customer Bill by ID
/customerBill/{id}
Request
-
id(required): string
The ID or bill number of the customer bill to retrieve.Examples
-
@type: string
The type of object to return.Examples
-
fields: string
The list of comma-separated fields to return in the response.Examples
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8
200 Response
objectCustomer Bill-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
amountDue(required): object
Money
Represents a monetary amount.
-
appliedPayment: array
appliedPayment
The payments applied to the bill.
-
billDate(required): string
(date-time)
Title:
Bill DateThe date the bill was generated. -
billDocument: array
billDocument
A document attached to the bill.
-
billingAccount:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "BillingAccountRef":"#/components/schemas/BillingAccountRef" } } -
billingPeriod: object
TimePeriod
Represents a time period with a start date, an end date, or both.
-
billNo: string
Title:
Bill NumberThe bill's number. -
category: string
Title:
Bill CategoryThe bill's category. For example: normal, duplicate, interim, or last. -
financialAccount: object
Financial Account Ref
Title:
Financial Account RefA financial account reference. -
href(required): string
Title:
Bill HrefThe bill's href. -
id(required): string
Title:
Bill IDThe bill ID, or the bill number. -
lastUpdate: string
(date-time)
Title:
Bill Last Updated DateThe date that the bill was last updated. -
nextBillDate: string
(date-time)
Title:
Next Bill DateThe date the next bill will be generated. -
paymentDueDate(required): string
(date-time)
Title:
Payment Due DateThe bill's due date. -
paymentMethod: object
PaymentMethodRef
PaymentMethod reference. A payment method defines a specific mean of payment (e.g direct debit).
- relatedParty: array relatedParty
-
remainingAmount: object
Money
Represents a monetary amount.
-
runType: string
Title:
Bill Run TypeThe way the bill was generated, either onCycle (a regular billing cycle run) or offCycle (an on-demand request. For example: if requested by the customer or if the account closes.) -
state(required): string
Title:
State ValueAllowed Values:[ "new", "partiallyPaid", "settled", "onHold", "inProgress" ]The possible values for a bill's state: new, partiallyPaid, settled, onHold, and inProgress. -
taxExcludedAmount: object
Money
Represents a monetary amount.
-
taxIncludedAmount: object
Money
Represents a monetary amount.
-
taxItem: array
taxItem
The taxes on the bill.
object-
unit: string
The currency's ISO 4217 three-letter code.
-
value: number
(double)
A signed floating-point number whose sign depends on the API context.
array-
Array of:
object Applied Payment
Title:
Applied PaymentA payment that can be assigned to a bill.
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Attachment":"#/components/schemas/Attachment", "AttachmentRef":"#/components/schemas/AttachmentRef" } }The Attachment entity, not the AttachmentRefOrValue class, uses the polymorphic @type, @schemaLocation, and @referredType attributes.
objectDiscriminator Values
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Refers to the billing account. The billing account describes the bill structure.
object-
endDateTime: string
(date-time)
The end of the time period in IETF RFC 3339 format.Example:
1985-04-12T23:20:50.52Z -
startDateTime: string
(date-time)
The start of the time period in IETF RFC 3339 format.Example:
1985-04-12T23:20:50.52Z
objectFinancial Account Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system. If baseType and type, need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
accountBalance: array
accountBalance
The account's balances.
-
href: string
Title:
Financial Account HrefThe account's href. -
id(required): string
Title:
Financial Account IDThe account's ID. -
name: string
Title:
Financial Account NameThe account's name.
objectarray-
Array of:
object State Values
Title:
State ValuesA tax item.
objectApplied Payment-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
appliedAmount: object
Money
Represents a monetary amount.
-
payment: object
PaymentRef
A payment received at order time.
object-
@baseType: string
The object's superclass.
-
@referredType: string
The object's type in the target system, if baseType and type need further disambiguation.
-
@schemaLocation: string
(uri)
A URI to a JSON schema file that defines additional attributes and relationships.
-
@type: string
The object's subclass.
-
href: string
(uri)
The payment's href.
-
id(required): string
The payment's ID.
-
name: string
The payment's name.
objectDiscriminator Values
-
object
allOf
Entity
Represents a base entity schema for TM Forum Open APIs.
-
object
Attachment-allOf[1]
Represents an attachment that complements an element's description, such as a product description, through videos or pictures.
-
allOf
EntityRef
-
object
AttachmentRef-allOf[1]
Represents an attachment reference. An attachment complements an element's description, such as a product description, through videos or pictures.
object-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
href: string
The hyperlink reference.
-
id: string
The ID.
object-
attachmentType: string
The business characterization of the attachment's purpose, for example logo instructionManual contractCopy.
-
content: string
(base64)
The attachment's Base64-encoded content when embedded.
-
description: string
The attachment's description.Example:
Photograph of the Product -
mimeType: string
The technical characterization of the attachment content format using IETF MIME types.
-
name: string
The attachment's name.
-
size: object
Quantity
Represents an amount in a specified unit.
-
url: string
The URL of the attachment content.Example:
http://host/Content/4aafacbd-11ff-4dc8-b445-305f2215715f -
validFor: object
TimePeriod
Represents a time period with a start date, an end date, or both.
object-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
object-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
object-
description: string
The attachment's description.
-
url: string
The link to the attachment media or content.
object-
ratingType: string
Indicates if the account follows a specific payment option such as prepaid or postpaid.
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
AccountBalance-allOf[1]
Represents balances linked to an account.
object-
amount: object
Money
Represents a monetary amount.
-
balanceType: string
The balance's type, such as a deposit, disputed, loyalty, or receivable balance.
-
id: string
The balance's ID within the list of balances.
-
validFor: object
TimePeriod
Represents a time period with a start date, an end date, or both.
objectRelated Party Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system. If baseType and type, need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Related Party HrefThe related party's href. -
id(required): string
Title:
Related Party IDThe related party's ID. -
name: string
Title:
Related Party NameThe related party's name. -
role: string
Title:
Related Party RoleThe related party's role.
objectState Values-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
taxAmount: object
Money
Represents a monetary amount.
-
taxCategory: string
Title:
Tax CategoryThe tax item's category. -
taxRate: number
(float)
Title:
Tax RateThe tax item's applied rate.
400 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
Example 1: Get a Customer Bill by Billing POID
The following example shows how to get a bill with the specified billing POID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
The request uses the fields query parameter to show the details for certain fields only.
curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+106861?fields=amountDue,paymentDueDate'
Response Body
The following example shows the contents of the response body in JSON format. Because the request included only the amountDue and paymentDueDate fields in the fields query parameter, these are the only details shown.
{
"id": "0.0.0.1+-bill+106861",
"href": null,
"billDate": null,
"billNo": null,
"category": null,
"lastUpdate": null,
"nextBillDate": null,
"paymentDueDate": "2025-08-01T01:05:29-07:00",
"runType": null,
"amountDue": {
"unit": "EUR",
"value": 40.0
},
"appliedPayment": null,
"billDocument": null,
"billingAccount": null,
"billingPeriod": null,
"financialAccount": null,
"paymentMethod": null,
"relatedParty": null,
"remainingAmount": null,
"state": null,
"taxExcludedAmount": null,
"taxIncludedAmount": null,
"taxItem": null,
"@baseType": "CustomerBill",
"@schemaLocation": null,
"@type": "CustomerBill"
}
Example 2: Get a Customer Bill by Bill Number
The following example shows how to get the bill with the specified bill number by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
The request uses the fields query parameter to show the details for certain fields only.
curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBill/B1-13?fields=billDate,amountDue,category'
Response Body
The following example shows the contents of the response body in JSON format. Because the request included only the billDate, amountDue, and category fields in the fields query parameter, these are the only details shown.
{
"id": "B1-13",
"href": null,
"billDate": "2025-15-12T01:05:29-07:00",
"billNo": null,
"category": "normal",
"lastUpdate": null,
"nextBillDate": null,
"paymentDueDate": null,
"runType": null,
"amountDue": {
"unit": "EUR",
"value": 40.0
},
"appliedPayment": null,
"billDocument": null,
"billingAccount": null,
"billingPeriod": null,
"financialAccount": null,
"paymentMethod": null,
"relatedParty": null,
"remainingAmount": null,
"state": null,
"taxExcludedAmount": null,
"taxIncludedAmount": null,
"taxItem": null,
"@baseType": "CustomerBill",
"@schemaLocation": null,
"@type": "CustomerBill"
}